=== debian/changelog ===
angelfish (21.07-2build2) jammy; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 10 Apr 2022 19:04:11 +0300

angelfish (21.07-2build1) jammy; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Apr 2022 11:10:00 +0100

angelfish (21.07-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 14 Feb 2022 23:39:55 +0530

angelfish (21.07-1) unstable; urgency=medium

  * New upstream release 21.07
  * Update minimum version of kf5 components 5.84

 -- Pirate Praveen <praveen@debian.org>  Mon, 24 Jan 2022 19:16:51 +0530

angelfish (21.06-1) unstable; urgency=low

  [ Nilesh Patra, Pirate Praveen ]
  * Initial release. (Closes: #1003623)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Jan 2022 14:44:52 +0530
