=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
  extra-cmake-modules,
  kirigami2-dev,
  libkf5config-dev (>= 5.84~),
  libkf5coreaddons-dev (>= 5.84~),
  libkf5dbusaddons-dev (>= 5.84~),
  libkf5i18n-dev (>= 5.84~),
  libkf5purpose-dev (>= 5.84~),
  libkf5windowsystem-dev (>= 5.84~),
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  qtbase5-dev,
  qtquickcontrols2-5-dev,
  qtwebengine5-dev,
  qtfeedback5-dev,
  libkf5notifications-dev (>= 5.84~),
  librust-cmake-dev
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/debian/angelfish
Vcs-Git: https://salsa.debian.org/debian/angelfish.git
Rules-Requires-Root: no

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-qtfeedback, qml-module-qtwebengine
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.
