## angelfish 22.06

=== debian/changelog ===
angelfish (22.06-1) unstable; urgency=medium

  * New upstream release 22.06

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 16:05:15 +0530

angelfish (22.04-1) unstable; urgency=medium

  * New upstream release 22.04

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 10:16:48 +0530

angelfish (22.02-2) unstable; urgency=medium

  * Add qml-module-org-kde-kirigami2 as dependency (Closes: #1008940)
    Thanks to Marek Běl

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Apr 2022 10:59:46 +0530

angelfish (22.02-1) unstable; urgency=medium

  * New upstream release 22.02

 -- Nilesh Patra <nilesh@debian.org>  Tue, 29 Mar 2022 19:09:07 +0530
