## angelfish 22.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,15 @@
 
 project(angelfish)
 
-cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.84.0")
+cmake_minimum_required(VERSION 3.16.0)
+set(KF5_MIN_VERSION "5.95.0")
 set(QT_MIN_VERSION "5.15.0")
 
-set(PROJECT_VERSION "21.07")
+set(PROJECT_VERSION "22.11")
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(BUILD_TESTING "Build test programs" ON)
 
@@ -29,7 +30,7 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
@@ -46,15 +47,22 @@
 
 ################# Find dependencies #################
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Feedback)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications)
 
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
-find_package(Qt5WebEngine REQUIRED)
+if(QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt${QT_MAJOR_VERSION}WebEngineCore REQUIRED)
+    find_package(Qt${QT_MAJOR_VERSION}WebEngineQuick REQUIRED)
+else()
+    find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
+endif()
 
 # For adblocker
 find_package(Corrosion)
 set_package_properties(Corrosion PROPERTIES
+    TYPE RECOMMENDED
     PURPOSE "Required to build the builtin adblocker"
     DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
     URL https://github.com/AndrewGaspar/corrosion
@@ -62,8 +70,13 @@
 
 ################# Definitions to pass to the compiler #################
 
-add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
 kde_enable_exceptions()
+
+if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
+    message(WARNING "Qt Feedback dependency is not found.\n"
+        "While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
+endif()
 
 ################# build and install #################
 add_subdirectory(lib)
@@ -73,6 +86,8 @@
 endif()
 add_subdirectory(angelfish-webapp)
 
+ki18n_install(po)
+
 install(PROGRAMS org.kde.angelfish.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.angelfish.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.angelfish.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
