=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -20,13 +20,19 @@
 target_include_directories(AngelfishCore PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
 target_compile_definitions(AngelfishCore PRIVATE -DQT_NO_CAST_FROM_ASCII)
 target_link_libraries(AngelfishCore PUBLIC
-    Qt5::Core
-    Qt5::Sql
-    Qt5::WebEngine
+    Qt::Core
+    Qt::Sql
     KF5::ConfigCore
     KF5::ConfigGui
     KF5::I18n
     KF5::Notifications
 )
 
-install(FILES angelfishsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+if(QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(AngelfishCore PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
+else()
+    target_link_libraries(AngelfishCore PRIVATE Qt::WebEngine)
+endif()
+
+install(FILES angelfishsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
+install(FILES angelfish.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
