=== debian/changelog ===
angelfish (22.11-1) unstable; urgency=medium

  * New upstream release 22.11
  * Drop do-not-seek-feedback.patch, refresh skip-flaky-test.patch
  * Mention copyright of new files. Gosh I hate this work so much

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 23:04:23 +0530
