=== debian/control ===
--- 
+++ 
@@ -29,7 +29,11 @@
 Package: angelfish
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-qtfeedback, qml-module-qtwebengine
+Depends: ${misc:Depends}
+ , ${shlibs:Depends}
+ , qml-module-org-kde-kirigami2
+ , qml-module-qtfeedback
+ , qml-module-qtwebengine
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,
