=== debian/watch ===
version=4
https://invent.kde.org/plasma-mobile/angelfish/tags?sort=updated_desc .*/archive/v[0-9.]+/angelfish-v([0-9.]+)\.tar\.gz
