=== debian/changelog ===
angelfish (23.04.3-2) unstable; urgency=medium

  * Replace "kirigami-addons-dev" build-dependency
    with "kirigami-addons5-dev" (Closes: #1079469)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Sep 2024 16:00:12 +0530

angelfish (23.04.3-1) unstable; urgency=medium

  * New Upstream release 23.04.3
  * Add B-D on kirigami-addons-dev and libkf5qqc2desktopstyle-dev
  * Add Depends on:
    - qml-module-org-kde-kirigami-addons-labs-components
    - qml-module-org-kde-qqc2desktopstyle
    - qml-module-qt-labs-qmlmodels

 -- Nilesh Patra <nilesh@debian.org>  Fri, 02 Feb 2024 04:26:59 +0530
