=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: cmake, debhelper-compat (= 13),
   extra-cmake-modules,
   kirigami2-dev,
+  kirigami-addons5-dev,
   libkf5config-dev (>= 5.84~),
   libkf5coreaddons-dev (>= 5.84~),
   libkf5dbusaddons-dev (>= 5.84~),
   libkf5i18n-dev (>= 5.84~),
   libkf5purpose-dev (>= 5.84~),
   libkf5windowsystem-dev (>= 5.84~),
+  libkf5qqc2desktopstyle-dev,
   libqt5sql5-sqlite,
   libqt5svg5-dev,
   qtbase5-dev,
@@ -34,6 +36,9 @@
  , qml-module-org-kde-kirigami2
  , qml-module-qtfeedback
  , qml-module-qtwebengine
+ , qml-module-org-kde-kirigami-addons-labs-components
+ , qml-module-org-kde-qqc2desktopstyle
+ , qml-module-qt-labs-qmlmodels
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,
