## angelfish 23.08.4

=== debian/changelog ===
angelfish (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-16.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Jan 2024 17:02:07 +0300

angelfish (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:22 +0000

angelfish (23.08.3-0ubuntu1) noble; urgency=medium

  [ Rik Mills ]
  * New upstream release (23.08.0)
  * Build depend on libfuturesql-dev
  * New upstream release (23.08.1)
  * New upstream release (23.08.2)
  * New upstream release (23.08.3)

  [ José Manuel Santamaría Lema ]
  * Build depend on qcoro-qt5-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Dec 2023 06:51:46 +0000

angelfish (23.04.3-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Sep 2023 14:11:56 +0300

angelfish (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:57 +0100

angelfish (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update build depends:
    - add libkf5qqc2desktopstyle-dev
    - add kirigami-addons-dev
  * Pass '--with kf5' to dh in debian/rules
  * Add pkg-kde-tools to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:47 +0100
