## angelfish 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,15 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KF_MIN_VERSION "5.95.0")
 set(QT_MIN_VERSION "5.15.0")
+set(QCORO_MIN_VERSION "0.7.0")
 
 
 set(CMAKE_CXX_STANDARD 20)
@@ -56,7 +57,7 @@
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications QQC2DesktopStyle)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
 find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
 set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
@@ -67,6 +68,9 @@
 else()
     find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
 endif()
+
+find_package(FutureSQL${QT_MAJOR_VERSION} REQUIRED)
+find_package(QCoro${QT_MAJOR_VERSION} ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick)
 
 # For adblocker
 find_package(Corrosion)
@@ -81,6 +85,7 @@
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
 kde_enable_exceptions()
+qcoro_enable_coroutines()
 
 if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
     message(WARNING "Qt Feedback dependency is not found.\n"
