=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
     bookmarkshistorymodel.cpp
     dbmanager.cpp
     iconimageprovider.cpp
-    sqlquerymodel.cpp
     urlutils.cpp
     urlobserver.cpp
     useragent.cpp
@@ -22,10 +21,13 @@
 target_link_libraries(AngelfishCore PUBLIC
     Qt::Core
     Qt::Sql
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::I18n
-    KF5::Notifications
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::Notifications
+    FutureSQL${QT_MAJOR_VERSION}::FutureSQL
+    QCoro${QT_MAJOR_VERSION}::Core
+    QCoro${QT_MAJOR_VERSION}::Quick
 )
 
 if(QT_MAJOR_VERSION STREQUAL "6")
