=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,14 +42,16 @@
     Qt::Core
     Qt::Qml
     Qt::Quick
+    Qt::QuickControls2
     Qt::Sql
     Qt::Svg
-    KF5::I18n
-    KF5::CoreAddons
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::DBusAddons
-    KF5::WindowSystem
+    Qt::Widgets
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::DBusAddons
+    KF${QT_MAJOR_VERSION}::WindowSystem
     AngelfishCore
 )
