=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-apparmor,
                extra-cmake-modules,
                kirigami-addons-dev,
                kirigami2-dev,
@@ -41,6 +42,8 @@
  , qml-module-org-kde-kirigami2
  , qml-module-qtfeedback
  , qml-module-qtwebengine
+ , qml-module-org-kde-kirigami-addons-labs-components
+Suggests: apparmor
 Description: Web browser for Plasma Mobile
  This is a webbrowser designed to
  - be used on small mobile devices,
