## angelfish 24.12.1

=== debian/changelog ===
angelfish (24.12.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Build with dh-sequence-kf6.
    - wrap-and-sort.
    - Update build depends from cmake.
    - Update qmldeps.overrides
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 13:33:59 +0000

angelfish (24.12.1-1) unstable; urgency=medium

  * Fix watch file
  * Add upstream public key
  * New URL
  * Remove patch
  * Update copyright file
  * Update build-deps for new version
  * Automatically generate qml dependencies
  * Add dh_clean configuration to make it rebuildable
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 Jan 2025 12:45:49 +0100

angelfish (23.08.5-0ubuntu8) oracular; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:39:44 -0700

angelfish (23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:36:17 -0700

angelfish (23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything apparmor following other profiles. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 13:28:52 +0100

angelfish (23.08.5-0ubuntu5) oracular; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 05:40:17 -0700

angelfish (23.08.5-0ubuntu4) oracular; urgency=medium

  *  Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:08:48 -0700

angelfish (23.04.3-3) unstable; urgency=medium

  * Move under Qt/KDE team and add myself as uploader

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 11:38:06 +0100
