## angelfish 24.12.2

=== debian/changelog ===
angelfish (24.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Add qml6-module-qt5compat-graphicaleffects to the build dependencies
    instead of overriding it for dh-sequence-qmldeps autodetection.
    (Closes: #1095582)
  * Also build rust-based ad-blocker. (Closes: #1037279)
  * Build with hardening=+all build hardening flag.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 09 Feb 2025 23:09:22 +0100

angelfish (24.12.1-2) unstable; urgency=medium

  * Add override for qmldeps

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 11:54:12 +0100
