## angelfish 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "5.95.0")
-set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.240")
+set(QT_MIN_VERSION "6.4")
 set(QCORO_MIN_VERSION "0.7.0")
 
 
@@ -46,6 +46,7 @@
 include(KDEClangFormat)
 include(ECMPoQmTools)
 include(ECMFindQmlModule)
+include(ECMQmlModule)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
 ecm_setup_version(${PROJECT_VERSION}
@@ -55,22 +56,18 @@
 
 ################# Find dependencies #################
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
-find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.6 REQUIRED)
-set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications OPTIONAL_COMPONENTS QQC2DesktopStyle)
+find_package(KF6KirigamiAddons 0.6 REQUIRED)
+set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
-if(QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt${QT_MAJOR_VERSION}WebEngineCore REQUIRED)
-    find_package(Qt${QT_MAJOR_VERSION}WebEngineQuick REQUIRED)
-else()
-    find_package(Qt${QT_MAJOR_VERSION}WebEngine REQUIRED)
-endif()
+find_package(Qt6WebEngineCore REQUIRED)
+find_package(Qt6WebEngineQuick REQUIRED)
 
-find_package(FutureSQL${QT_MAJOR_VERSION} REQUIRED)
-find_package(QCoro${QT_MAJOR_VERSION} ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick)
+find_package(FutureSQL6 REQUIRED)
+find_package(QCoro6 ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick Qml)
 
 # For adblocker
 find_package(Corrosion)
@@ -87,7 +84,7 @@
 kde_enable_exceptions()
 qcoro_enable_coroutines()
 
-if (NOT Qt${QT_MAJOR_VERSION}Feedback_FOUND)
+if (NOT Qt6Feedback_FOUND)
     message(WARNING "Qt Feedback dependency is not found.\n"
         "While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
 endif()
