=== angelfish-webapp/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,12 @@
     Qt::Core
     Qt::Qml
     Qt::Quick
+    Qt::QuickControls2
     Qt::Sql
     Qt::Svg
-    KF5::I18n
-    KF5::CoreAddons
+    Qt::Widgets
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::CoreAddons
     AngelfishCore
 )
