=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,8 @@
+configure_file(contents/ui/WebView.qml ${CMAKE_CURRENT_BINARY_DIR}/contents/ui/WebView.qml @ONLY)
+configure_file(contents/ui/PrintPreview.qml ${CMAKE_CURRENT_BINARY_DIR}/contents/ui/PrintPreview.qml @ONLY)
+
+configure_file(resources.qrc ${CMAKE_CURRENT_SOURCE_DIR}/resources-angelfish.generated.qrc)
+
 add_library(AngelfishCore STATIC
     browsermanager.cpp
     bookmarkshistorymodel.cpp
@@ -10,8 +15,7 @@
     settingshelper.cpp
     angelfishwebprofile.cpp
     downloadmanager.cpp
-    qquickwebenginedownloaditem.cpp
-    resources.qrc
+    ${CMAKE_CURRENT_SOURCE_DIR}/resources-angelfish.generated.qrc
 )
 
 kconfig_add_kcfg_files(AngelfishCore GENERATE_MOC angelfishsettings.kcfgc)
@@ -31,7 +35,7 @@
 )
 
 if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(AngelfishCore PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
+    target_link_libraries(AngelfishCore PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)
 else()
     target_link_libraries(AngelfishCore PRIVATE Qt::WebEngine)
 endif()
