=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
 #
 # SPDX-License-Identifier: LGPL-2.0-or-later
+
+add_subdirectory(settings)
 
 set(angelfish_SRCS
     main.cpp
@@ -29,7 +31,11 @@
         rs/adblock/src/logging.rs)
 
     corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
-    target_link_libraries(angelfish PRIVATE angelfish-adblock)
+    if (Corrosion_VERSION VERSION_LESS 0.5.0)
+        target_link_libraries(angelfish PRIVATE angelfish-adblock)
+    else()
+        target_link_libraries(angelfish PRIVATE angelfish_adblock)
+    endif()
     target_compile_definitions(angelfish PRIVATE -DBUILD_ADBLOCK)
 
     target_include_directories(angelfish PRIVATE
@@ -46,19 +52,19 @@
     Qt::Sql
     Qt::Svg
     Qt::Widgets
-    KF${QT_MAJOR_VERSION}::I18n
-    KF${QT_MAJOR_VERSION}::CoreAddons
-    KF${QT_MAJOR_VERSION}::ConfigCore
-    KF${QT_MAJOR_VERSION}::ConfigGui
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::WindowSystem
+    Qt::CorePrivate
+    Qt::WebEngineCore
+    Qt::WebEngineQuick
+    Qt::WebEngineQuickPrivate
+    KF6::I18n
+    KF6::CoreAddons
+    KF6::ConfigCore
+    KF6::ConfigGui
+    KF6::DBusAddons
+    KF6::WindowSystem
+    QCoro6::Qml
     AngelfishCore
+    angelfish_settingsplugin
 )
 
-if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(angelfish PRIVATE Qt::CorePrivate Qt::WebEngineCore Qt::WebEngineQuick Qt::WebEngineQuickPrivate)
-else()
-    target_link_libraries(angelfish PRIVATE Qt::WebEngine)
-endif()
-
 install(TARGETS angelfish ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
