=== debian/changelog ===
angelfish (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.2, no change required.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the programs have a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 14:53:30 +0200

angelfish (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 09:21:07 +0200
