=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                qt6-webengine-dev,
                qt6-webengine-private-dev,
                rustc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/angelfish/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git
