## angelfish 25.07.80

=== debian/changelog ===
angelfish (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:00:56 +0100

angelfish (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:55 +0100

angelfish (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:30 +0100

angelfish (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:00 +0100

angelfish (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:19 +0100

angelfish (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:02 +0000

angelfish (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:48:05 +0000

angelfish (24.12.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 06 Feb 2025 10:32:52 +0300
